#ifndef fx_HEADER_
#define fx_HEADER_

#include "fsample.h"

void fx_amp(FSample *s, double gain);
void fx_balance(FSample *s, double balance);
void fx_divide_rms(FSample *s, double t_ms);
void fx_fade_in(FSample *s, double t_ms);
void fx_ir(FSample *s, const char *path, double mix);
void fx_mono(FSample *s);
void fx_pan(FSample *s, double pan);
void fx_playback_speed(FSample *s, double speed);
void fx_pre_cut(FSample *s, double pct, double fade_ms);
void fx_pre_delay(FSample *s, double left_ms, double right_ms);
void fx_rc_highpass(FSample *s, double freq, int order);
void fx_rc_lowpass(FSample *s, double freq, int order);
void fx_rc_highshelf(FSample *s, double freq, int order, double gain);
void fx_rc_lowshelf(FSample *s, double freq, int order, double gain);
void fx_stereo_width(FSample *s, double width);

#endif
