#include <stdio.h>
#include <stdlib.h>
#include "jl_mem.h"
#include "sampler.h"
#include "init.h"

Sampler *sampler;

int main(int argc, char **argv) {
    if(argc != 2) {
        printf("Please provide a configuration file.\n");
        exit(1);
    }

    sampler = jl_malloc_exit(sizeof(Sampler));
    sampler_init(sampler, argv[1]);
    sampler_main(sampler);
}
