#ifndef const_HEADER_
#define const_HEADER_

#include <stdbool.h>

// Global controls.
bool gl_sustain;

#define MIDI_EVT_NOTE 0
#define MIDI_EVT_CTRL 1

#define SAMPLE_RATE    48000
#define MAX_PLAYING    256
#define MAX_MIDI_CHANS 128
#define MAX_SOUNDS     128
#define MAX_LAYERS     128
#define MAX_VARS       128
#define MIN_AMP        1e-6
#define MAX_NAME       128
#define MAX_FX         8
#define MAX_FX_LINE    256
#define MAX_INT16      32767

#endif
