#include <stdio.h>
#include <stdlib.h>
#include "parse.h"

double parse_double(const char *value) {
    double dest;
    if(sscanf(value, "%lf", &dest) != 1) {
        printf("Failed to parse double value: %s\n", value);
        exit(1);
    }
    return dest;
}

int parse_int(const char *value) {
    int val;
    if(sscanf(value, "%d", &val) != 1) {
        printf("Failed to parse int value: %s\n", value);
        exit(1);
    }
    return val;
}
